Page 1 of 4 1234 LastLast
Results 1 to 10 of 31

Thread: PSP : FrSIRT reports libtiff exploit with risk as "RAISED"

                  
   
  1. #1
    PSP User happy_mak's Avatar
    Join Date
    Feb 2006
    Location
    Tokyo, japan
    Age
    42
    Posts
    73
    Rep Power
    0

    psp PSP : FrSIRT reports libtiff exploit with risk as "RAISED"

    The French Security Incident Response Team (FrSIRT) has reported the libtiff exploit as a "Raised" risk category exploit.

    The URL is
    http://www.frsirt.com/bulletins/6778

    The Japanese media is reporting this as a HIGH RISK exploit. Itmedia is particularly vocal on this one
    http://www.itmedia.co.jp/enterprise/...1/news051.html

    With all this high attention it is becoming quite clear that we should see an updated firmware coming up soon sometime from Sony.

    Translation and More Via Comments

  2. #2
    PSP User muffinman's Avatar
    Join Date
    Nov 2005
    Location
    in my room with my pc :)
    Age
    26
    Posts
    324
    Rep Power
    45

    Default

    if only i could read japanese

  3. #3
    PSP Coder benh's Avatar
    Join Date
    Mar 2006
    Location
    linclonshire, England
    Posts
    362
    Rep Power
    44

    Default

    can someone translate this please
    Benh = Coder, main language C other language LUA

    Check out my first C app Super - flasher here

    visit my dev site where you can download all of my coding projects - http://benh-pspdev.bravehost.com/



    Please visit my site www.pspfanatic.bravehost.com
    and join the forums

  4. #4
    DCEmu Pro
    Join Date
    May 2006
    Posts
    575
    Rep Power
    44

    Default

    http://translate.google.com/translat...language_tools

    Thats the translated page for those not bothered to view it haha heres the translation:-

    In PSP vulnerability of not yet patch

    The vulnerability “of High Risk” was discovered with Photo Viewer of PSP.

    2006 September 01st 14:48 renewals

    The french security system FrSIRT reported that August 31st, with the SONY portable game machine “PSP” vulnerability was discovered. Degree of risk 2nd is high in, it is made “High Risk”.

    As for this vulnerability, error occurring the occasion where the TIFF picture of the illegitimate type where “Photo Viewer” of PSP used libTIFF is processed causes. When the attack person abuses this vulnerability, you say that by the fact that the illegitimate picture is made to open to the user, fragility being able to execute optional command it finishes on PSP.

    As for receiving the influence of this problem the firmware version 2.00~2.80 of PSP. The patch which corrects this vulnerability is not offered.

    ----------------------------------------------------------------

    I think what its trying to say in other words is that Sony have not offered a patch yet and may not be able to as a tiff file is...well a tiff file haha, they could remove tiff support but then we can hack into the tag of a MP3 file, and if they remove that people will get angry.

  5. #5
    DCEmu Old Pro bah's Avatar
    Join Date
    Dec 2005
    Location
    Australia
    Age
    34
    Posts
    1,669
    Rep Power
    52

    Default

    WARNING: You may gain full access to the hardware you paid for. *HIGH RISK*

    Briggzy11: has a buffer overflow exploit been discovered in the psps id3 tag code?

  6. #6
    DCEmu Rookie
    Join Date
    Jun 2006
    Posts
    189
    Rep Power
    42

    Default

    WTF?

    Can somebody break this down into noobz terms for me?

  7. #7
    PSP Coder benh's Avatar
    Join Date
    Mar 2006
    Location
    linclonshire, England
    Posts
    362
    Rep Power
    44

    Default

    i smell 2.81
    Benh = Coder, main language C other language LUA

    Check out my first C app Super - flasher here

    visit my dev site where you can download all of my coding projects - http://benh-pspdev.bravehost.com/



    Please visit my site www.pspfanatic.bravehost.com
    and join the forums

  8. #8
    PSP User JD/'s Avatar
    Join Date
    Jul 2006
    Location
    London, UK
    Posts
    535
    Rep Power
    43

    Default

    Quote Originally Posted by benh
    i smell 2.81
    I hope not they should just bring out 3.00 so people can hack it already lol and i know theres gnna be some people that will upgrade ti 2.81( if it comes out) then theyll be pi$$ed they cant have homebrew when 2.8 is hacked

  9. #9
    PSP Coder benh's Avatar
    Join Date
    Mar 2006
    Location
    linclonshire, England
    Posts
    362
    Rep Power
    44

    Default

    yeah they should bring out 3.00 but you know sony, they wont bring out 3.00 straight away, they'll bring out a patch first
    Benh = Coder, main language C other language LUA

    Check out my first C app Super - flasher here

    visit my dev site where you can download all of my coding projects - http://benh-pspdev.bravehost.com/



    Please visit my site www.pspfanatic.bravehost.com
    and join the forums

  10. #10
    DCEmu Regular benn's Avatar
    Join Date
    Jul 2005
    Posts
    349
    Rep Power
    46

    Default

    Quote Originally Posted by Panini
    WTF?

    Can somebody break this down into noobz terms for me?

    your PSP copuld be used as a bomb on a flight.

    add it to the list of hairgel, milk and every other feckin thing they talk about lately.

Page 1 of 4 1234 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •